{
  config,
  pkgs,
  system,
  ...
}:
let
  # # Pull from global theme options
  # themeSize = "standard"; # "standard" | "compact"
  # themeAccent = "default"; # "default" | ... | "all"
  # themeTweak = "normal"; # "normal" | "rimless" | "float" | "black"
  # themeColor = "dark"; # "light" | "dark"
  # iconThemeVariant = "default"; # "default" | ... | "all"
  # iconScheme = "nord"; # "default" | "nord" | "dracula" | ...

  # # GTK
  # gtkTheme = "Colloid-dark-standard";
  # gtkThemePkg = pkgs.colloid-gtk-theme.override {
  #   sizeVariants = [ themeSize ];
  #   colorVariants = [ themeColor ];
  #   themeVariants = [ themeAccent ];
  #   tweaks = [ themeTweak ];
  # };

  # # Icons
  # iconTheme = "Colloid-nord-dark";
  # iconThemePkg = pkgs.colloid-icon-theme.override {
  #   schemeVariants = [ iconScheme ];
  #   colorVariants = [ iconThemeVariant ];
  # };
  isDarwin = system == "aarch64-darwin";
in
{
  stylix = {
    enable = true;
    overlays.enable = false;
    enableReleaseChecks = false;
    base16Scheme = "${pkgs.base16-schemes}/share/themes/nord.yaml";
    polarity = "dark";

    cursor = {
      name = "macOS";
      size = 24;
      package = pkgs.apple-cursor;
    };

    fonts = {
      serif = {
        package = pkgs.dejavu_fonts;
        name = "DejaVu Serif";
      };

      sansSerif = {
        package = pkgs.dejavu_fonts;
        name = "DejaVu Sans";
      };

      monospace = {
        package = pkgs.nerd-fonts.jetbrains-mono;
        name = "JetBrainsMono NFM";
      };

      emoji = {
        package = pkgs.noto-fonts-color-emoji;
        name = "Noto Color Emoji";
      };

      sizes = {
        applications = if isDarwin then 10 else 12;
        desktop = if isDarwin then 12 else 14;
        popups = config.stylix.fonts.sizes.desktop;
        terminal = config.stylix.fonts.sizes.applications;
      };
    };

    icons = {
      enable = true;
      package = pkgs.colloid-icon-theme.override {
        schemeVariants = [ "nord" ];
        colorVariants = [ "default" ];
      };
      dark = "Colloid-Nord-Dark";
      light = "Colloid-Nord-Light";
    };

    opacity = {
      terminal = 0.85;
    };

    targets = {
      hyprlock = {
        enable = false;
        useWallpaper = false;
      };
      firefox = {
        enable = false;
        profileNames = [
          "default"
          "954lxlok.default"
        ];
      };
    };
  };
}
